<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>alg/mmwavelib/src/fft/mmwavelib_dftsinglebin.c File Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_c9839ac9bd42e86e6159886378237831.html">alg</a></li><li class="navelem"><a class="el" href="dir_5f5b3a6c6f9ee84cdf9c273ccf43003e.html">mmwavelib</a></li><li class="navelem"><a class="el" href="dir_9fa96890f77570b05e4519e45129846b.html">src</a></li><li class="navelem"><a class="el" href="dir_23ffccf3c608a84aff4e8a4d3de2ea11.html">fft</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">mmwavelib_dftsinglebin.c File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Routine to compute single bin DFT.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;stdint.h&gt;</code><br />
<code>#include &lt;c6x.h&gt;</code><br />
<code>#include &lt;<a class="el" href="mmwavelib__fft_8h.html">ti/alg/mmwavelib/src/fft/mmwavelib_fft.h</a>&gt;</code><br />
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:gad0f58e1c7dfd8ffa5c37aa3a012e5414"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e_l_i_b___f_f_t.html#gad0f58e1c7dfd8ffa5c37aa3a012e5414">mmwavelib_dftSingleBin</a> (const uint32_t inBuf[restrict], const uint32_t sincos[restrict], uint64_t *restrict output, uint32_t length, uint32_t doppInd)</td></tr>
<tr class="memdesc:gad0f58e1c7dfd8ffa5c37aa3a012e5414"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function Name : mmwavelib_dftSingleBin.  <a href="group___m_m_w_a_v_e_l_i_b___f_f_t.html#gad0f58e1c7dfd8ffa5c37aa3a012e5414">More...</a><br /></td></tr>
<tr class="separator:gad0f58e1c7dfd8ffa5c37aa3a012e5414"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga09ac54ea25984994384c660c9d2ba1f8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e_l_i_b___f_f_t.html#ga09ac54ea25984994384c660c9d2ba1f8">mmwavelib_dftSingleBinWithWindow</a> (const uint32_t inBuf[restrict], const uint32_t sincos[restrict], const int32_t win[restrict], uint64_t *restrict output, uint32_t length, uint32_t doppInd)</td></tr>
<tr class="memdesc:ga09ac54ea25984994384c660c9d2ba1f8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function Name : mmwavelib_dftSingleBinWithWindow.  <a href="group___m_m_w_a_v_e_l_i_b___f_f_t.html#ga09ac54ea25984994384c660c9d2ba1f8">More...</a><br /></td></tr>
<tr class="separator:ga09ac54ea25984994384c660c9d2ba1f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Routine to compute single bin DFT. </p>
</div></div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
